# Radio (filter, event)

Unites those descendants that are Choice components into ``radio buttons.'' Within a Radio, at most one Choice component is selected at any given time.

Value
  (Symbol, `""`)
  The name of the Choice element currently selected. Note that the application can clear the selection, so that no member of the group is selected, but the user cannot. The current selection can be accessed via `FormsVBT.GetChoice` and `FormsVBT.PutChoice`.

Behavior
  An event is generated whenever the user changes which element of the group is selected. If the Choice element has an attached event procedure, it will be called; otherwise, the event falls through to the Radio group, which may also have an attached procedure. Thus an event can occur in the name of the Radio group, though the group itself has no interactive behavior.
Shape
  The shape of its child.
See Also
  Boolean and Choice